tbb::flow::interface11::internal::async_body_base< Gateway > Class Template Reference

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface11::internal::async_body_base< Gateway >:
Collaboration diagram for tbb::flow::interface11::internal::async_body_base< Gateway >:

## Public Types

typedef Gateway | gateway_type

## Public Member Functions

| async_body_base (gateway_type *gateway)
void | set_gateway (gateway_type *gateway)

## Protected Attributes

gateway_type * | my_gateway

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename Gateway>
class tbb::flow::interface11::internal::async_body_base< Gateway >

Definition at line 4170 of file flow_graph.h.

## Member Typedef Documentation

## gateway_type

template<typename Gateway >

typedef Gateway tbb::flow::interface11::internal::async_body_base< Gateway >::gateway_type

Definition at line 4172 of file flow_graph.h.

## Constructor & Destructor Documentation

## async_body_base()

template<typename Gateway >

tbb::flow::interface11::internal::async_body_base< Gateway >::async_body_base | ( | gateway_type * | gateway | ) |

inline

Definition at line 4174 of file flow_graph.h.

: my_gateway(gateway) { }
tbb::flow::interface11::internal::async_body_base::my_gateway
gateway_type * my_gateway
Definition: flow_graph.h:4180

## Member Function Documentation

## set_gateway()

template<typename Gateway >

void tbb::flow::interface11::internal::async_body_base< Gateway >::set_gateway | ( | gateway_type * | gateway | ) |

inline

Definition at line 4175 of file flow_graph.h.

{
my_gateway = gateway;
}

References tbb::flow::interface11::internal::async_body_base< Gateway >::my_gateway.

## Member Data Documentation

## my_gateway

template<typename Gateway >

gateway_type* tbb::flow::interface11::internal::async_body_base< Gateway >::my_gateway

protected

Definition at line 4180 of file flow_graph.h.

Referenced by tbb::flow::interface11::internal::async_body< Input, Ports, Gateway, Body >::operator()(), and tbb::flow::interface11::internal::async_body_base< Gateway >::set_gateway().

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.